/***************************************************************************
                          ispellmanagerdlgimpl.h  -  description
                             -------------------
    begin                : Tue Oct 9 2001
    copyright            : (C) 2001 by Andriy Rysin
    email                : arysin@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ISPELLMANAGERDLGIMPL_H
#define ISPELLMANAGERDLGIMPL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <fstream.h>
#include <qwidget.h>
#include <IspellDictDlg.h>

/**
  *@author Andriy Rysin
  */

class IspellDictDlgImpl : public IspellDictDlg  {
   Q_OBJECT
public: 
	IspellDictDlgImpl(const char* fname, QWidget *parent=0, const char *name=0);
	~IspellDictDlgImpl();

protected:
    void resetGroups();
    void guessSuggGroup();
    void updateGroupTag(); 
    void updateRawText(); 
    void openFile(const QString& fname);
    void checkIspellVariants();
    void closeEvent ( QCloseEvent * e );
    void parseSuggestion(const QString& str, QString& base, QString& tag);

 protected slots:
    void wordSelected();
    void suggSelected();
    void tabChanged( const QString& tabname ); 
    void groupChanged( int sel ); 
    void addWord(); 
    void removeWord(); 
    void duplicateWord(); 
    void getWordBack(); 
    void open(); 
    void save(); 
    void getDeclinations(); 
    void rawTextEdited();

private:
    static const int 
	    TAB_NOUN = 0,
	    TAB_VERB = 1,
	    TAB_OTHER = 2;

    QString pipeIt(const char* args[], const QString& input);

    QString inputFile;

    QString base;
    QString groupTag;
//    int ispell_pipe;
    ifstream isp_stream;
    bool batchChanges;
    bool outputChanged;
    
    int topipe[2];
    int frompipe[2];
};

#endif
