/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                :   16 16:54:14 PDT 2001
    copyright            : (C) 2001 by Andriy Rysin
    email                : arysin@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qwindowsstyle.h>

#include <iostream.h>
#include <stdlib.h>

#include "ispelldict.h"

int main(int argc, char *argv[])
{


  QApplication a(argc, argv);
//  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
//  tor.load( QString("ispelldict.") + QTextCodec::locale(), "." );
//  a.installTranslator( &tor );
  /* uncomment the following line, if you want a Windows 95 look*/
  a.setStyle(new QWindowsStyle());

  IspellDictDlgImpl *ispelldict = new IspellDictDlgImpl("");
    if( (argc >= 3) && strcmp(argv[1],"-fn")==0 ) {
	QFont font;
	font.setRawName(argv[2]);
	
	// for some reason checking does not work
#if QT_VERSION < 3	
    cerr << "Charset :" << endl;
    cerr << font.charSet << endl;
	if( font.charSet() == QFont::KOI8U ) {
#endif
	cerr << "Setting font..." << endl;
	    ispelldict->setFont(font);
#if QT_VERSION < 3	
	}
	else {
	    cerr << "Font does not seem to be koi8-u, skipping..." << endl;
	}
#endif
	
    }

  a.setMainWidget(ispelldict);

  ispelldict->show();

  return a.exec();
}
